summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2019-08-06 14:29:25 +0200
committer Eric Hameleers <alien@slackware.com>2019-08-06 14:29:25 +0200
commitfaa80e7dad4c49ff3fb490a3c7f9c66ca6fe0ba5 (patch)
tree1611d9007bd4038967b4accd47c7c74feb9f614b
parenta79971a373c115f48bc38cfecd532f77bfa293c1 (diff)
downloadktown-faa80e7dad4c49ff3fb490a3c7f9c66ca6fe0ba5.tar.gz
ktown-faa80e7dad4c49ff3fb490a3c7f9c66ca6fe0ba5.tar.xz
Packages rebuilt/upgraded due to newer ffmpeg/libevent in -current
Deps: - rebuilt qt5 (for the new libevent). - rebuilt OpenAL and mlt (for the new ffmpeg). - upgraded opencv, qrencode, qtav, sip and QScintilla. - removed PyQT (since this now properly landed in -current) Frameworks: - rebuilt prison (for the new qrencode) and kfilemetadata5 (new ffmpeg). Plasma: - rebuilt ksysguard (for the new libevent). Applications: - rebuilt ffmpegthumbs and k3b (for the new ffmpeg). Applications-extra: - upgraded digikam and krita.
-rwxr-xr-xdeps/OpenAL/OpenAL.SlackBuild5
-rwxr-xr-xdeps/PyQt/PyQt.SlackBuild4
-rw-r--r--deps/PyQt/slack-desc12
-rw-r--r--deps/QScintilla/.url2
-rwxr-xr-xdeps/QScintilla/QScintilla.SlackBuild10
-rwxr-xr-xdeps/mlt/mlt.SlackBuild2
-rw-r--r--deps/opencv/.url4
-rwxr-xr-xdeps/opencv/opencv.SlackBuild4
-rw-r--r--deps/qrencode/.url2
-rwxr-xr-xdeps/qrencode/qrencode.SlackBuild14
-rw-r--r--deps/qt5/.deps2
-rwxr-xr-xdeps/qt5/qt5.SlackBuild4
-rw-r--r--deps/qtav/.url2
-rwxr-xr-xdeps/qtav/qtav.SlackBuild24
-rw-r--r--deps/sip/.url2
-rwxr-xr-xdeps/sip/sip.SlackBuild21
-rw-r--r--deps/sip/slack-desc12
-rw-r--r--kde/build/ffmpegthumbs (renamed from kde/build/digikam)0
-rw-r--r--kde/build/k3b1
-rw-r--r--kde/build/kfilemetadata51
-rw-r--r--kde/build/ksysguard1
-rw-r--r--kde/build/prison1
22 files changed, 75 insertions, 55 deletions
diff --git a/deps/OpenAL/OpenAL.SlackBuild b/deps/OpenAL/OpenAL.SlackBuild
index 9bd806b..0397a82 100755
--- a/deps/OpenAL/OpenAL.SlackBuild
+++ b/deps/OpenAL/OpenAL.SlackBuild
@@ -28,8 +28,9 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=OpenAL
SRCNAM=openal-soft
VERSION=${VERSION:-1.19.1}
-BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:-"-j$(nproc)"}
+BUILD=${BUILD:-2}
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
diff --git a/deps/PyQt/PyQt.SlackBuild b/deps/PyQt/PyQt.SlackBuild
index 2c55e12..957a94e 100755
--- a/deps/PyQt/PyQt.SlackBuild
+++ b/deps/PyQt/PyQt.SlackBuild
@@ -63,7 +63,7 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
-NUMJOBS=${NUMJOBS:-"-j$(nproc)"}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -76,7 +76,7 @@ mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf ${PKGNAM}4_gpl_x11-$VERSION
-tar xvf $CWD/${PKGNAM}4_gpl_x11-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/${PKGNAM}4_gpl_x11-$VERSION.tar.?z || exit 1
cd ${PKGNAM}4_gpl_x11-$VERSION || exit 1
# Fix phonon detection:
diff --git a/deps/PyQt/slack-desc b/deps/PyQt/slack-desc
index ca6e6e3..e8cf45a 100644
--- a/deps/PyQt/slack-desc
+++ b/deps/PyQt/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -10,10 +10,10 @@ PyQt: PyQt (Python bindings for Qt)
PyQt:
PyQt: PyQt is a set of Python bindings for the Qt application framework and
PyQt: runs on all platforms supported by Qt.
+PyQt:
+PyQt: Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
+PyQt:
PyQt:
PyQt:
PyQt:
PyQt:
-PyQt:
-PyQt: Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
-PyQt:
diff --git a/deps/QScintilla/.url b/deps/QScintilla/.url
index 66849ec..d5f1a2b 100644
--- a/deps/QScintilla/.url
+++ b/deps/QScintilla/.url
@@ -1 +1 @@
-https://www.riverbankcomputing.com/static/Downloads/QScintilla/QScintilla_gpl-2.11.1.tar.gz
+https://www.riverbankcomputing.com/static/Downloads/QScintilla/2.11.2/QScintilla_gpl-2.11.2.tar.gz
diff --git a/deps/QScintilla/QScintilla.SlackBuild b/deps/QScintilla/QScintilla.SlackBuild
index 1ddc363..6f56e9d 100755
--- a/deps/QScintilla/QScintilla.SlackBuild
+++ b/deps/QScintilla/QScintilla.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for QScintilla
# Copyright 2008 Robby Workman <rworkman@slackware.com> Northport, AL, USA
-# Copyright 2008, 2009, 2010, 2011, 2012, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,10 +28,10 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=QScintilla
-VERSION=${VERSION:-2.11.1}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-2.11.2}
+BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:-" -j$(nproc) "}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -149,8 +149,6 @@ if qtpaths-qt5 --qt-version 1>/dev/null 2>/dev/null ; then
make clean -C Python || exit 1
fi
-# QT4 SUPPORT CURRENTLY DOES NOT COMPILE...
-# /usr/lib64/qt/include/QtCore/qglobal.h:2242:20: error: invalid application of 'sizeof' to incomplete type 'QUrl'
# QT4 support:
echo "-- Compiling Qt4 support --"
cd Qt4Qt5
diff --git a/deps/mlt/mlt.SlackBuild b/deps/mlt/mlt.SlackBuild
index 64e4b4b..bb7d091 100755
--- a/deps/mlt/mlt.SlackBuild
+++ b/deps/mlt/mlt.SlackBuild
@@ -28,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mlt
VERSION=${VERSION:-6.16.0}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
PYTHONSITEPKG=$(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
diff --git a/deps/opencv/.url b/deps/opencv/.url
index bb4164d..a277f25 100644
--- a/deps/opencv/.url
+++ b/deps/opencv/.url
@@ -1,2 +1,2 @@
-https://github.com/Itseez/opencv/archive/4.1.0/opencv-4.1.0.tar.gz
-https://github.com/Itseez/opencv_contrib/archive/4.1.0/opencv_contrib-4.1.0.zip
+https://github.com/Itseez/opencv/archive/4.1.1/opencv-4.1.1.tar.gz
+https://github.com/Itseez/opencv_contrib/archive/4.1.1/opencv_contrib-4.1.1.zip
diff --git a/deps/opencv/opencv.SlackBuild b/deps/opencv/opencv.SlackBuild
index 6a2677f..dc473ed 100755
--- a/deps/opencv/opencv.SlackBuild
+++ b/deps/opencv/opencv.SlackBuild
@@ -25,10 +25,10 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=opencv
-VERSION=${VERSION:-4.1.0}
+VERSION=${VERSION:-4.1.1}
BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:-" -j$(nproc)"}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/deps/qrencode/.url b/deps/qrencode/.url
index 17eab4d..46257ff 100644
--- a/deps/qrencode/.url
+++ b/deps/qrencode/.url
@@ -1 +1 @@
-http://fukuchi.org/works/qrencode/qrencode-3.4.4.tar.gz
+http://fukuchi.org/works/qrencode/qrencode-4.0.2.tar.gz
diff --git a/deps/qrencode/qrencode.SlackBuild b/deps/qrencode/qrencode.SlackBuild
index acb351f..9f492f8 100755
--- a/deps/qrencode/qrencode.SlackBuild
+++ b/deps/qrencode/qrencode.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2017 Patrick J. Volkerding, Sebeka, MN, USA
-# Copyright 2014, 2017 Eric Hameleers, Eindhoven, NL
+# Copyright 2014, 2017, 2019 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -24,12 +24,14 @@
# -----------------------------------------------------------------------------
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=qrencode
-VERSION=${VERSION:-3.4.4}
+VERSION=${VERSION:-4.0.2}
BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:-" -j4 "}
-CWD=$(pwd)
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -37,7 +39,7 @@ PKG=$TMP/package-$PKGNAM
MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
case "$MARCH" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
armv7hl) export ARCH=$MARCH ;;
armv6hl) export ARCH=$MARCH ;;
arm*) export ARCH=arm ;;
@@ -47,7 +49,7 @@ if [ -z "$ARCH" ]; then
fi
case "$ARCH" in
- i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ i?86) SLKCFLAGS="-O2 -march=${ARCH} -mtune=i686"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
x86_64) SLKCFLAGS="-O2 -fPIC"
diff --git a/deps/qt5/.deps b/deps/qt5/.deps
index 7208d9b..c276ccc 100644
--- a/deps/qt5/.deps
+++ b/deps/qt5/.deps
@@ -1,3 +1,3 @@
OpenAL
libxkbcommon
-wolff2
+woff2
diff --git a/deps/qt5/qt5.SlackBuild b/deps/qt5/qt5.SlackBuild
index 107b1a0..529aa78 100755
--- a/deps/qt5/qt5.SlackBuild
+++ b/deps/qt5/qt5.SlackBuild
@@ -68,11 +68,11 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=qt5
VERSION=${VERSION:-5.13.0}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
PKGSRC=$(echo $VERSION |cut -d- -f1)
PKGVER=$(echo $VERSION |tr - _)
-NUMJOBS=${NUMJOBS:-"-j$(nproc)"}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/deps/qtav/.url b/deps/qtav/.url
index e35c34f..c496827 100644
--- a/deps/qtav/.url
+++ b/deps/qtav/.url
@@ -1 +1 @@
-https://github.com/wang-bin/QtAV/archive/v1.12.0.tar.gz
+https://github.com/wang-bin/QtAV/archive/v1.13.0.tar.gz
diff --git a/deps/qtav/qtav.SlackBuild b/deps/qtav/qtav.SlackBuild
index f5138ca..7fc9398 100755
--- a/deps/qtav/qtav.SlackBuild
+++ b/deps/qtav/qtav.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2017 Eric Hameleers, Eindhoven, NL
+# Copyright 2017, 2019 Eric Hameleers, Eindhoven, NL
# Copyright 2017 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
@@ -24,13 +24,15 @@
# -----------------------------------------------------------------------------
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=qtav
SRCNAM=QtAV
-VERSION=${VERSION:-1.12.0}
+VERSION=${VERSION:-1.13.0}
BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:-" -j4 "}
-CWD=$(pwd)
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -45,12 +47,20 @@ if [ -z "$ARCH" ]; then
export ARCH
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=${ARCH} -mtune=i686"
SLKLDFLAGS=""
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ SLKCFLAGS="-O2 -march=${ARCH} -mtune=i686"
SLKLDFLAGS=""
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
@@ -76,7 +86,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $SRCNAM-$VERSION
-tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
cd $SRCNAM-$VERSION || exit 1
# Fix bogus permissions:
diff --git a/deps/sip/.url b/deps/sip/.url
index 202b19a..f36c949 100644
--- a/deps/sip/.url
+++ b/deps/sip/.url
@@ -1,2 +1,2 @@
-https://www.riverbankcomputing.com/static/Downloads/sip/4.19.17/sip-4.19.17.tar.gz
+https://www.riverbankcomputing.com/static/Downloads/sip/4.19.18/sip-4.19.18.tar.gz
diff --git a/deps/sip/sip.SlackBuild b/deps/sip/sip.SlackBuild
index c79e22f..e52985b 100755
--- a/deps/sip/sip.SlackBuild
+++ b/deps/sip/sip.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2008 Aleksandar Samardzic <asamardzic@gmail.com>
-# Copyright 2008, 2009, 2010, 2011, 2017 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,12 +24,13 @@
# Modified by Robby Workman <rworkman@slackware.com>
# Modified by Eric Hameleers <alien@slackware.com>
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=sip
-VERSION=${VERSION:-4.19.17}
+VERSION=${VERSION:-4.19.18}
BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:-" -j$(nproc) "}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -42,6 +43,14 @@ if [ -z "$ARCH" ]; then
export ARCH
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
@@ -60,7 +69,6 @@ PYTHON2LIB=$( python2 -c 'from distutils.sysconfig import get_python_lib; print
PYTHON3VER=$(python3 -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d. 2>/dev/null)
PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' 2>/dev/null )
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -68,12 +76,9 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
-## Get PyQt4 to compile:
-#cat $CWD/patches/PyQt4_sip_regression.patch | patch -p1 --verbose || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/deps/sip/slack-desc b/deps/sip/slack-desc
index d2fae24..69e52db 100644
--- a/deps/sip/slack-desc
+++ b/deps/sip/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-sip: SIP (a tool for generating Python bindings)
+sip: sip (a tool for generating Python bindings)
sip:
sip: SIP is a tool that makes it very easy to create Python bindings for
-sip: C and C++ libraries. It was originally developed to create PyQt,
+sip: C and C++ libraries. It was originally developed to create PyQt,
sip: the Python bindings for the Qt toolkit, but can be used to create
sip: bindings for any C or C++ library.
sip:
-sip: Homepage: http://www.riverbankcomputing.co.uk/software/sip/
+sip: Homepage: http://www.riverbankcomputing.co.uk/software/sip/
sip:
sip:
sip:
diff --git a/kde/build/digikam b/kde/build/ffmpegthumbs
index 0cfbf08..0cfbf08 100644
--- a/kde/build/digikam
+++ b/kde/build/ffmpegthumbs
diff --git a/kde/build/k3b b/kde/build/k3b
new file mode 100644
index 0000000..0cfbf08
--- /dev/null
+++ b/kde/build/k3b
@@ -0,0 +1 @@
+2
diff --git a/kde/build/kfilemetadata5 b/kde/build/kfilemetadata5
new file mode 100644
index 0000000..0cfbf08
--- /dev/null
+++ b/kde/build/kfilemetadata5
@@ -0,0 +1 @@
+2
diff --git a/kde/build/ksysguard b/kde/build/ksysguard
new file mode 100644
index 0000000..0cfbf08
--- /dev/null
+++ b/kde/build/ksysguard
@@ -0,0 +1 @@
+2
diff --git a/kde/build/prison b/kde/build/prison
new file mode 100644
index 0000000..0cfbf08
--- /dev/null
+++ b/kde/build/prison
@@ -0,0 +1 @@
+2